<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__sensor__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_sensor_context_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__sensor__context__t_1a54bbaaded1ac1a6857ce84a996224ccc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_sensor_context_t::raw</definition>
        <argsstring />
        <name>raw</name>
        <briefdescription>
<para>Sensor raw count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="209" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1ae70bc85c4ea36acf3f7f24083ee12358" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_sensor_context_t::bsln</definition>
        <argsstring />
        <name>bsln</name>
        <briefdescription>
<para>Sensor baseline. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="210" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="210" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1ae3a77556515876cf00e178ccc7cbd606" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_sensor_context_t::diff</definition>
        <argsstring />
        <name>diff</name>
        <briefdescription>
<para>Sensor difference count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="211" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="211" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1ac0c3267b406b40d89fb8219b75536eee" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_sensor_context_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Sensor status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="212" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="212" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1a0dfea7d7b4a9b3858a203a54df8bc3fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_sensor_context_t::negBslnRstCnt</definition>
        <argsstring />
        <name>negBslnRstCnt</name>
        <briefdescription>
<para>Negative baseline reset counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="213" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1a242877120ccdac585a0f001736fe7be2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_sensor_context_t::idacComp</definition>
        <argsstring />
        <name>idacComp</name>
        <briefdescription>
<para>Compensation IDAC of CSD or IDAC in CSX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="215" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="215" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__sensor__context__t_1a00e13c949413eec88791b6b89215dc67" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_sensor_context_t::bslnExt</definition>
        <argsstring />
        <name>bslnExt</name>
        <briefdescription>
<para>Sensor baseline fractional. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="217" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="217" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Sensor context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="222" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="207" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="208" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1ae70bc85c4ea36acf3f7f24083ee12358" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>bsln</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1a00e13c949413eec88791b6b89215dc67" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>bslnExt</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1ae3a77556515876cf00e178ccc7cbd606" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>diff</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1a242877120ccdac585a0f001736fe7be2" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>idacComp</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1a0dfea7d7b4a9b3858a203a54df8bc3fc" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>negBslnRstCnt</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1a54bbaaded1ac1a6857ce84a996224ccc" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>raw</name></member>
      <member prot="public" refid="structcy__stc__capsense__sensor__context__t_1ac0c3267b406b40d89fb8219b75536eee" virt="non-virtual"><scope>cy_stc_capsense_sensor_context_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>